import { jsx } from '@emotion/react/jsx-runtime';
import '@emotion/react';

var VisuallyHidden = function VisuallyHidden(_ref) {
  var children = _ref.children;
  return jsx("span", {
    css: visuallyHiddenStyles,
    children: children
  });
};
var visuallyHiddenStyles = {
  clip: 'rect(0 0 0 0)',
  clipPath: 'inset(50%)',
  height: 1,
  overflow: 'hidden',
  position: 'absolute',
  whiteSpace: 'nowrap',
  width: 1
};

var ExternalLinkCallout = function ExternalLinkCallout() {
  return jsx(VisuallyHidden, {
    children: ", opens in a new tab"
  });
};

export { ExternalLinkCallout, VisuallyHidden, visuallyHiddenStyles };
